SDL_Color Struct Reference

`#include <SDL_pixels.h>`

## Data Fields

Uint8 | r
Uint8 | g
Uint8 | b
Uint8 | a

## Detailed Description

The bits of this structure can be directly reinterpreted as an integer-packed color which uses the SDL_PIXELFORMAT_RGBA32 format (SDL_PIXELFORMAT_ABGR8888 on little-endian systems and SDL_PIXELFORMAT_RGBA8888 on big-endian systems).

Definition at line 328 of file SDL_pixels.h.

## Field Documentation

## a

Uint8 SDL_Color::a

Definition at line 333 of file SDL_pixels.h.

## b

Uint8 SDL_Color::b

Definition at line 332 of file SDL_pixels.h.

## g

Uint8 SDL_Color::g

Definition at line 331 of file SDL_pixels.h.

## r

Uint8 SDL_Color::r

Definition at line 330 of file SDL_pixels.h.

The documentation for this struct was generated from the following file:

- SDL_pixels.h